local cql = ClassicQuestLog

--[[ dialog for confirming abandoning quests or other confirmations ]]

-- call to show a dialog styled after default with the given text and yes/no
-- buttons; the callback is called (with no arguments) when yes is clicked
function cql.Dialog:Confirm(text,callback)
    self:ClearAllPoints()
    self:SetPoint("CENTER")
    if text and text:len()>0 then
        self.Text:SetText(text)
        self:SetHeight(self.Text:GetStringHeight()+64)
    end
    self.Yes.callback = callback
    self:Show()
end

-- called during a UI update, hides if the quest being abandoned is no longer known
function cql.Dialog:Update()
    if self:IsVisible() then
        local questID = C_QuestLog.GetAbandonQuest()
        if not questID or questID==0 or not C_QuestLog.IsOnQuest(questID) then
            self:Hide()
        end
    end
end

function cql.Dialog.Yes:OnClick()
    self:GetParent():Hide()
    if type(self.callback)=="function" then
        self.callback()
    end
end

function cql.Dialog.No:OnClick()
    self:GetParent():Hide()
end

